#
# spec file for package perl-I18N-LangTags (Version 0.20)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  apache apache-devel mod_perl perl-URI
# usedforbuild    aaa_base aaa_dir apache apache-devel autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp mod_perl modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl perl-URI ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         perl-I18N-LangTags
%define apache_includedir   	%(apxs -q INCLUDEDIR)
%define version_perl       	%(rpm -q --queryformat '%{version}' perl)
%define version_apache		%(rpm -q --queryformat '%{version}' apache)
%define perl_installsitelib  	%(eval "`perl -V:installsitelib`"; echo $installsitelib)
Copyright:    BSD style
Group:        Development/Libraries/Perl
Provides:     I18N-LangTags
Requires:     perl = %{version_perl} 
Requires:     apache = %{version_apache}
Requires:     mod_perl perl-URI
Conflicts:    perlmod
Autoreqprov:  on
Version:      0.20
Release:      132
Source:       I18N-LangTags-%{version}.tar.gz
Summary:      functions for dealing with RFC1766-style language tags
BuildRoot:    %{_tmppath}/%{name}-%{version}-%{release}

%description
Language tags are a formalism, described in RFC 1766, for declaring
what language form (language and possibly dialect) a given chunk of
information is in. This library provides functions for common tasks
involving language tags (notably the extraction of them, comparing
them, and testing the formal validity of them) as is needed in a
variety of protocols and applications.

Authors:
--------
    Sean M. Burke <sburke@cpan.org>

SuSE series: perl

%prep 
%setup -n I18N-LangTags-%{version}

%build
export CFLAGS="$RPM_OPT_FLAGS"
export APACHE=`which httpd`
perl Makefile.PL
make all
make test
	

%install
export CFLAGS="$RPM_OPT_FLAGS"
export APACHE=`which httpd`
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
eval `perl -V:installarchlib`
install -d $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT/usr \
        INSTALLMAN1DIR=$RPM_BUILD_ROOT/%{_mandir}/man1 \
        INSTALLMAN3DIR=$RPM_BUILD_ROOT/%{_mandir}/man3 \
        install
install -d $RPM_BUILD_ROOT/var/adm/perl-modules
cat $RPM_BUILD_ROOT/$installarchlib/perllocal.pod | \
	sed "s@$RPM_BUILD_ROOT@@g" > $RPM_BUILD_ROOT/var/adm/perl-modules/%{name}
cd $RPM_BUILD_ROOT/%{perl_sitearch}/auto/I18N/LangTags/
       cat .packlist | sed "s@$RPM_BUILD_ROOT@@g" | sort -u > .packlist

%files
%defattr(-, root, root)
%doc ChangeLog test.pl README MANIFEST
%{perl_installsitelib}/I18N/LangTags.pm
%{perl_sitearch}/auto/I18N/LangTags/
%doc %{_mandir}/man3/I18N::LangTags.3pm.gz
/var/adm/perl-modules/%{name}

%changelog -n perl-I18N-LangTags
* Wed Mar 28 2001 - rolf@suse.de
- update to 0.20
* Fri Feb 23 2001 - ro@suse.de
- changed neededforbuild <apache> to <apache apache-devel>
* Fri Nov 17 2000 - rolf@suse.de
- extracted from perlmod package
